Subject: bug#41627: Re: bug#41627: 28.0.50; Emacs with cairo build segfault in HELLO file

From: "Zhu Zihao" <[email-masked]>
Date: Tue, 23 Jun 2020 12:10:54 +0800 (CST)

But it's sad that I can't reproduce that bug in NixOS :(

At 2020-06-23 02:06:41, "Eli Zaretskii" <[email-masked]> wrote:
>> Date: Tue, 23 Jun 2020 00:47:30 +0800 (CST)
>> From: "Zhu Zihao" <[email-masked]>
>> Cc: [email-masked]
>> 
>> I'm able to reproduce this bug in NixOS 20.03 with Emacs 27.0.91 pretest version. I guess this bug is
>> caused by the mechanism of Nix/Guix. NixOS doesn't have FHS directory structure, it means that there's
>> nothing like /usr/share/fonts for Cairo to search fonts. And I try to copy some fonts to ~/.local/share/fonts
>> then Emacs won't crash again.
>
>If you can show a backtrace from the crash, perhaps we could find the
>reason and fix it.
>
>Thanks.